<div class="front_page_section front_page_section_testimonials<?php
	$neptunus_scheme = neptunus_get_theme_option( 'front_page_testimonials_scheme' );
	if ( ! empty( $neptunus_scheme ) && ! neptunus_is_inherit( $neptunus_scheme ) ) {
		echo ' scheme_' . esc_attr( $neptunus_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( neptunus_get_theme_option( 'front_page_testimonials_paddings' ) );
?>"
		<?php
		$neptunus_css      = '';
		$neptunus_bg_image = neptunus_get_theme_option( 'front_page_testimonials_bg_image' );
		if ( ! empty( $neptunus_bg_image ) ) {
			$neptunus_css .= 'background-image: url(' . esc_url( neptunus_get_attachment_url( $neptunus_bg_image ) ) . ');';
		}
		if ( ! empty( $neptunus_css ) ) {
			echo ' style="' . esc_attr( $neptunus_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$neptunus_anchor_icon = neptunus_get_theme_option( 'front_page_testimonials_anchor_icon' );
	$neptunus_anchor_text = neptunus_get_theme_option( 'front_page_testimonials_anchor_text' );
if ( ( ! empty( $neptunus_anchor_icon ) || ! empty( $neptunus_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_testimonials"'
									. ( ! empty( $neptunus_anchor_icon ) ? ' icon="' . esc_attr( $neptunus_anchor_icon ) . '"' : '' )
									. ( ! empty( $neptunus_anchor_text ) ? ' title="' . esc_attr( $neptunus_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_testimonials_inner
	<?php
	if ( neptunus_get_theme_option( 'front_page_testimonials_fullheight' ) ) {
		echo ' neptunus-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$neptunus_css      = '';
			$neptunus_bg_mask  = neptunus_get_theme_option( 'front_page_testimonials_bg_mask' );
			$neptunus_bg_color_type = neptunus_get_theme_option( 'front_page_testimonials_bg_color_type' );
			if ( 'custom' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_theme_option( 'front_page_testimonials_bg_color' );
			} elseif ( 'scheme_bg_color' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_scheme_color( 'bg_color', $neptunus_scheme );
			} else {
				$neptunus_bg_color = '';
			}
			if ( ! empty( $neptunus_bg_color ) && $neptunus_bg_mask > 0 ) {
				$neptunus_css .= 'background-color: ' . esc_attr(
					1 == $neptunus_bg_mask ? $neptunus_bg_color : neptunus_hex2rgba( $neptunus_bg_color, $neptunus_bg_mask )
				) . ';';
			}
			if ( ! empty( $neptunus_css ) ) {
				echo ' style="' . esc_attr( $neptunus_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_testimonials_content_wrap content_wrap">
			<?php
			// Caption
			$neptunus_caption = neptunus_get_theme_option( 'front_page_testimonials_caption' );
			if ( ! empty( $neptunus_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_testimonials_caption front_page_block_<?php echo ! empty( $neptunus_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $neptunus_caption, 'neptunus_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$neptunus_description = neptunus_get_theme_option( 'front_page_testimonials_description' );
			if ( ! empty( $neptunus_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_testimonials_description front_page_block_<?php echo ! empty( $neptunus_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $neptunus_description ), 'neptunus_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_testimonials_output">
			<?php
			if ( is_active_sidebar( 'front_page_testimonials_widgets' ) ) {
				dynamic_sidebar( 'front_page_testimonials_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! neptunus_exists_trx_addons() ) {
					neptunus_customizer_need_trx_addons_message();
				} else {
					neptunus_customizer_need_widgets_message( 'front_page_testimonials_caption', 'ThemeREX Addons - Testimonials' );
				}
			}
			?>
			</div>
		</div>
	</div>
</div>
