<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.10
 */

$neptunus_footer_id = neptunus_get_custom_footer_id();
$neptunus_footer_meta = get_post_meta( $neptunus_footer_id, 'trx_addons_options', true );
if ( ! empty( $neptunus_footer_meta['margin'] ) ) {
	neptunus_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( neptunus_prepare_css_value( $neptunus_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $neptunus_footer_id ); ?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($neptunus_footer_id))); ?>
						<?php
						$neptunus_footer_scheme = neptunus_get_theme_option( 'footer_scheme' );
						if ( ! empty( $neptunus_footer_scheme ) && ! neptunus_is_inherit( $neptunus_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $neptunus_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'neptunus_action_show_layout', $neptunus_footer_id );
	?>
</footer><!-- /.footer_wrap -->
