<div class="front_page_section front_page_section_contacts<?php
	$neptunus_scheme = neptunus_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $neptunus_scheme ) && ! neptunus_is_inherit( $neptunus_scheme ) ) {
		echo ' scheme_' . esc_attr( $neptunus_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( neptunus_get_theme_option( 'front_page_contacts_paddings' ) );
?>"
		<?php
		$neptunus_css      = '';
		$neptunus_bg_image = neptunus_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $neptunus_bg_image ) ) {
			$neptunus_css .= 'background-image: url(' . esc_url( neptunus_get_attachment_url( $neptunus_bg_image ) ) . ');';
		}
		if ( ! empty( $neptunus_css ) ) {
			echo ' style="' . esc_attr( $neptunus_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$neptunus_anchor_icon = neptunus_get_theme_option( 'front_page_contacts_anchor_icon' );
	$neptunus_anchor_text = neptunus_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $neptunus_anchor_icon ) || ! empty( $neptunus_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $neptunus_anchor_icon ) ? ' icon="' . esc_attr( $neptunus_anchor_icon ) . '"' : '' )
									. ( ! empty( $neptunus_anchor_text ) ? ' title="' . esc_attr( $neptunus_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( neptunus_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' neptunus-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$neptunus_css      = '';
			$neptunus_bg_mask  = neptunus_get_theme_option( 'front_page_contacts_bg_mask' );
			$neptunus_bg_color_type = neptunus_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_scheme_color( 'bg_color', $neptunus_scheme );
			} else {
				$neptunus_bg_color = '';
			}
			if ( ! empty( $neptunus_bg_color ) && $neptunus_bg_mask > 0 ) {
				$neptunus_css .= 'background-color: ' . esc_attr(
					1 == $neptunus_bg_mask ? $neptunus_bg_color : neptunus_hex2rgba( $neptunus_bg_color, $neptunus_bg_mask )
				) . ';';
			}
			if ( ! empty( $neptunus_css ) ) {
				echo ' style="' . esc_attr( $neptunus_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$neptunus_caption     = neptunus_get_theme_option( 'front_page_contacts_caption' );
			$neptunus_description = neptunus_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $neptunus_caption ) || ! empty( $neptunus_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $neptunus_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $neptunus_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $neptunus_caption, 'neptunus_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $neptunus_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $neptunus_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $neptunus_description ), 'neptunus_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$neptunus_content = neptunus_get_theme_option( 'front_page_contacts_content' );
			$neptunus_layout  = neptunus_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $neptunus_layout && ( ! empty( $neptunus_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $neptunus_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $neptunus_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $neptunus_content, 'neptunus_kses_content' );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $neptunus_layout && ( ! empty( $neptunus_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$neptunus_sc = neptunus_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $neptunus_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $neptunus_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					neptunus_show_layout( do_shortcode( $neptunus_sc ) );
				?>
				</div>
				<?php
			}

			if ( 'columns' == $neptunus_layout && ( ! empty( $neptunus_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
