<div class="front_page_section front_page_section_woocommerce<?php
	$neptunus_scheme = neptunus_get_theme_option( 'front_page_woocommerce_scheme' );
	if ( ! empty( $neptunus_scheme ) && ! neptunus_is_inherit( $neptunus_scheme ) ) {
		echo ' scheme_' . esc_attr( $neptunus_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( neptunus_get_theme_option( 'front_page_woocommerce_paddings' ) );
?>"
		<?php
		$neptunus_css      = '';
		$neptunus_bg_image = neptunus_get_theme_option( 'front_page_woocommerce_bg_image' );
		if ( ! empty( $neptunus_bg_image ) ) {
			$neptunus_css .= 'background-image: url(' . esc_url( neptunus_get_attachment_url( $neptunus_bg_image ) ) . ');';
		}
		if ( ! empty( $neptunus_css ) ) {
			echo ' style="' . esc_attr( $neptunus_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$neptunus_anchor_icon = neptunus_get_theme_option( 'front_page_woocommerce_anchor_icon' );
	$neptunus_anchor_text = neptunus_get_theme_option( 'front_page_woocommerce_anchor_text' );
if ( ( ! empty( $neptunus_anchor_icon ) || ! empty( $neptunus_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_woocommerce"'
									. ( ! empty( $neptunus_anchor_icon ) ? ' icon="' . esc_attr( $neptunus_anchor_icon ) . '"' : '' )
									. ( ! empty( $neptunus_anchor_text ) ? ' title="' . esc_attr( $neptunus_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner
	<?php
	if ( neptunus_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
		echo ' neptunus-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$neptunus_css      = '';
			$neptunus_bg_mask  = neptunus_get_theme_option( 'front_page_woocommerce_bg_mask' );
			$neptunus_bg_color_type = neptunus_get_theme_option( 'front_page_woocommerce_bg_color_type' );
			if ( 'custom' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_theme_option( 'front_page_woocommerce_bg_color' );
			} elseif ( 'scheme_bg_color' == $neptunus_bg_color_type ) {
				$neptunus_bg_color = neptunus_get_scheme_color( 'bg_color', $neptunus_scheme );
			} else {
				$neptunus_bg_color = '';
			}
			if ( ! empty( $neptunus_bg_color ) && $neptunus_bg_mask > 0 ) {
				$neptunus_css .= 'background-color: ' . esc_attr(
					1 == $neptunus_bg_mask ? $neptunus_bg_color : neptunus_hex2rgba( $neptunus_bg_color, $neptunus_bg_mask )
				) . ';';
			}
			if ( ! empty( $neptunus_css ) ) {
				echo ' style="' . esc_attr( $neptunus_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$neptunus_caption     = neptunus_get_theme_option( 'front_page_woocommerce_caption' );
			$neptunus_description = neptunus_get_theme_option( 'front_page_woocommerce_description' );
			if ( ! empty( $neptunus_caption ) || ! empty( $neptunus_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $neptunus_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $neptunus_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $neptunus_caption, 'neptunus_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description (text)
				if ( ! empty( $neptunus_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $neptunus_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $neptunus_description ), 'neptunus_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
			<?php
				$neptunus_woocommerce_sc = neptunus_get_theme_option( 'front_page_woocommerce_products' );
			if ( 'products' == $neptunus_woocommerce_sc ) {
				$neptunus_woocommerce_sc_ids      = neptunus_get_theme_option( 'front_page_woocommerce_products_per_page' );
				$neptunus_woocommerce_sc_per_page = count( explode( ',', $neptunus_woocommerce_sc_ids ) );
			} else {
				$neptunus_woocommerce_sc_per_page = max( 1, (int) neptunus_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
			}
				$neptunus_woocommerce_sc_columns = max( 1, min( $neptunus_woocommerce_sc_per_page, (int) neptunus_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
				echo do_shortcode(
					"[{$neptunus_woocommerce_sc}"
									. ( 'products' == $neptunus_woocommerce_sc
											? ' ids="' . esc_attr( $neptunus_woocommerce_sc_ids ) . '"'
											: '' )
									. ( 'product_category' == $neptunus_woocommerce_sc
											? ' category="' . esc_attr( neptunus_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
											: '' )
									. ( 'best_selling_products' != $neptunus_woocommerce_sc
											? ' orderby="' . esc_attr( neptunus_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
												. ' order="' . esc_attr( neptunus_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
											: '' )
									. ' per_page="' . esc_attr( $neptunus_woocommerce_sc_per_page ) . '"'
									. ' columns="' . esc_attr( $neptunus_woocommerce_sc_columns ) . '"'
					. ']'
				);
				?>
			</div>
		</div>
	</div>
</div>
