<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$neptunus_copyright_scheme = neptunus_get_theme_option( 'copyright_scheme' );
if ( ! empty( $neptunus_copyright_scheme ) && ! neptunus_is_inherit( $neptunus_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $neptunus_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$neptunus_copyright = neptunus_get_theme_option( 'copyright' );
			if ( ! empty( $neptunus_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$neptunus_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $neptunus_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$neptunus_copyright = neptunus_prepare_macros( $neptunus_copyright );
				// Display copyright
				echo wp_kses( nl2br( $neptunus_copyright ), 'neptunus_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
