<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.10
 */


// Socials
if ( neptunus_is_on( neptunus_get_theme_option( 'socials_in_footer' ) ) ) {
	$neptunus_output = neptunus_get_socials_links();
	if ( '' != $neptunus_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php neptunus_show_layout( $neptunus_output ); ?>
			</div>
		</div>
		<?php
	}
}
