<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage NEPTUNS
 * @since NEPTUNS 1.0.14
 */
$neptunus_header_video = neptunus_get_header_video();
$neptunus_embed_video  = '';
if ( ! empty( $neptunus_header_video ) && ! neptunus_is_from_uploads( $neptunus_header_video ) ) {
	if ( neptunus_is_youtube_url( $neptunus_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $neptunus_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php neptunus_show_layout( neptunus_get_embed_video( $neptunus_header_video ) ); ?></div>
		<?php
	}
}
